<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Entity;


class PagSeguroCustomerViewModel extends Entity {
	protected $name;
	protected $email;
	protected $tax_id;
	protected $phones;

	public static function builder() {

		return new PagSeguroCustomerViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getName() {

		return $this->name;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEmail() {

		return $this->email;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTaxId() {

		return $this->tax_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPhones() {

		return $this->phones;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name) {

		$this->name = $name;

	}

	/**
	 *
	 * @param mixed $email
	 */
	public function setEmail($email) {

		$this->email = $email;

	}

	/**
	 *
	 * @param mixed $tax_id
	 */
	public function setTaxId($tax_id) {

		$this->tax_id = $tax_id;

	}

	/**
	 *
	 * @param mixed $phones
	 */
	public function setPhones($phones) {

		$this->phones = $phones;

	}

}

